Overview
Comment: | Added zlib package and support for checking hash and storing archive |
---|---|
Downloads: | Tarball | ZIP archive | SQL archive |
Timelines: | family | ancestors | descendants | both | packages |
Files: | files | file ages | folders |
SHA1: |
9f4f082fefc3a28c866b0da510dc3d35 |
User & Date: | rkeene on 2014-11-03 23:35:07 |
Other Links: | branch diff | manifest | tags |
Context
2014-11-03
| ||
23:49 | Updated to use package data from Fossil, which is more reliable check-in: 77faad55ab user: rkeene tags: packages | |
23:35 | Added zlib package and support for checking hash and storing archive check-in: 9f4f082fef user: rkeene tags: packages | |
23:20 | Emptied old ignore glob check-in: 286b0eb815 user: rkeene tags: packages | |
Changes
Modified .fossil-settings/ignore-glob from [da39a3ee5e] to [171004757d].
> > | 1 2 | workdir-* ARCHIVE |
Modified build from [9250a4fcfd] to [4cb097f703].
︙ | ︙ | |||
105 106 107 108 109 110 111 | if [ -d "pkgs/${pkg}" ]; then pkgdir="pkgs/${pkg}" pkgfile="${pkgdir}/info" else pkgfile="pkgs/${pkg}" pkgdir="${pkgfile}" fi | > > > > > > > | > > | > | | | | | | > > > | > > | | > | 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 | if [ -d "pkgs/${pkg}" ]; then pkgdir="pkgs/${pkg}" pkgfile="${pkgdir}/info" else pkgfile="pkgs/${pkg}" pkgdir="${pkgfile}" fi if [ ! -e "${pkgfile}" ]; then echo "Invalid package." >&2 exit 1 fi pkgdate="$(find "${pkgdir}" -type f -printf '%TY%Tm%Td%TH%TM.%TS\n' 2>/dev/null | cut -f 1-2 -d '.' | sort -n | tail -n 1)" . "${pkgfile}" archivedir="$(pwd)/ARCHIVE" workdir="workdir-$$${RANDOM}${RANDOM}${RANDOM}" srcfile="${archivedir}/${pkg}" mkdir "${archivedir}" >/dev/null 2>/dev/null mkdir "${workdir}" || exit 1 cd "${workdir}" || exit 1 workdir="$(pwd)" if [ ! -e "${srcfile}" ]; then # Download ## Cleanup rm -f src.new src ## Fetch file wget -O src.new "${url}" || exit 1 ## Verify signature src_sha256="$(openssl sha256 'src.new' | sed 's@^.*= @@')" if [ "${src_sha256}" != "${sha256}" ]; then echo "SHA256 mismatch: Downloaded: ${src_sha256} != Expected: ${sha256}" >&2 exit 1 fi ## Move file into place mv src.new "${archivedir}/${pkg}" fi # Decompress archive ## Determine type of archive case "${url}" in *.tar.xz|*.tar.xz'?'*|*.txz) decompress='xz' ;; |
︙ | ︙ | |||
153 154 155 156 157 158 159 | exit 1 ;; esac ## Do decompression case "${decompress}" in unzip) | | | | 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 | exit 1 ;; esac ## Do decompression case "${decompress}" in unzip) unzip "${srcfile}" || die 'Unable to uncompress archive' ;; *) "${decompress}" -dc "${srcfile}" | tar -xf - || die 'Unable to uncompress archive' ;; esac ## Cleanup source rm -f src # If we just have one directory, use that directory |
︙ | ︙ |
Modified pkgs/glibc from [1517e291c9] to [a1708aed89].
1 2 3 4 5 | #! /usr/bin/env bash version=2.20 url="http://ftp.gnu.org/gnu/glibc/glibc-${version}.tar.xz" domain=core.appfs.rkeene.org | | | 1 2 3 4 5 6 7 8 9 10 11 12 13 | #! /usr/bin/env bash version=2.20 url="http://ftp.gnu.org/gnu/glibc/glibc-${version}.tar.xz" domain=core.appfs.rkeene.org sha256='f84b6d42aecc288d593c397b0a3d02260a33ee686bce0c634eb9b32798f36ba5' function configure() { mkdir BUILD cd BUILD ../configure --prefix="${prefix}" --sysconfdir=/etc --localstatedir=/var || return 1 |
︙ | ︙ |
Modified pkgs/readline from [28079f5c74] to [4f5b78a41f].
1 2 3 4 5 | #! /usr/bin/env bash version=6.3 url="https://ftp.gnu.org/gnu/readline/readline-${version}.tar.gz" domain=core.appfs.rkeene.org | | | 1 2 3 4 5 6 | #! /usr/bin/env bash version=6.3 url="https://ftp.gnu.org/gnu/readline/readline-${version}.tar.gz" domain=core.appfs.rkeene.org sha256='56ba6071b9462f980c5a72ab0023893b65ba6debb4eeb475d7a563dc65cafd43' |
Added pkgs/zlib version [e788328143].
> > > > > > | 1 2 3 4 5 6 | #! /usr/bin/env bash version=1.2.8 url="http://zlib.net/zlib-${version}.tar.gz" domain=core.appfs.rkeene.org sha256='36658cb768a54c1d4dec43c3116c27ed893e88b02ecfcb44f2166f9c0b7f2a0d' |